---
title: BlobEvent.timecode
slug: Web/API/BlobEvent/timecode
tags:
  - API
  - BlobEvent
  - Media
  - Media Stream Recording
  - Property
  - Reference
---
<p>{{SeeCompatTable}}{{APIRef("Media Capture and Streams")}}</p>

<p><span class="seoSummary">The <strong><code>timecode</code></strong> readonlyinline property of the {{domxref("BlobEvent")}} interface a {{domxref("DOMHighResTimeStamp")}} indicating the difference between the timestamp of the first chunk in data, and the timestamp of the first chunk in the first BlobEvent produced by this recorder.</span> Note that the timecode in the first produced BlobEvent does not need to be zero.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var timecode = BlobEvent.timecode</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("DOMHighResTimeStamp")}}.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('MediaStream Recording','#dom-blobevent-timecode','timecode')}}</td>
   <td>{{Spec2('MediaStream Recording')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_Compatibility">Browser Compatibility</h2>

<div>

<p>{{Compat("api.BlobEvent.timecode")}}</p>
</div>
